import type { Answers, DistinctQuestion } from "inquirer";
export { getLLMConfig, setLLMConfig } from "./services/llm/index.js";
export type { CommitMode, LLMConfig, LLMConfigStorage, LLMModel, LLMProvider } from "./services/llm/types.js";
type Commit = (message: string) => void;
/**
 * Entry point for commitizen
 * @param  inquirerIns instance passed by commitizen, unused
 * @param commit callback to execute with complete commit message
 * @return {void}
 */
export declare function prompter(inquirerIns: {
    prompt(questions: Array<DistinctQuestion>): Promise<Answers>;
}, commit: Commit): Promise<void>;
//# sourceMappingURL=index.d.ts.map